<?php
/**
 * style-1.php
 *
 * @author  : NooTheme
 * @since   : 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>
<div<?php echo( $class ); ?>>
    <div class="noo-job-category-wrap <?php echo esc_attr( $style ); ?>">
        <div class="noo-job-category is-flex <?php echo esc_attr( $mobile_class . ' ' .$tablet_class.' '.$desktop_class) ;?>">
            <?php
            $i = 0;
            if ( $list_job_location == 'all' or $list_job_location == '' ) {
                $locations    = get_terms( 'job_location', array(
                    'orderby'    => 'NAME',
                    'order'      => 'ASC',
                    'hide_empty' => ('true' == $hide_empty) ? false : true,
                ) );
            } else {
                $locations       = $list_job_location;
            }
            foreach ( $locations as $key => $loc ) :
                $loca = get_term_by( 'id', $loc->term_id, 'job_location' );
                if ( ! empty( $loca ) ):
                    if ( $i >= $limit_location )
                        break;
                    $loc_name = $loca->name;
                    $job_count = $loca->count;
                    $loc_link = get_term_link( $loca );
                    $icon_markers   = get_term_meta( $loca->term_id, 'icon_type', true );
                    if ( empty( $icon_markers ) ) {
                        $icon_markers = 'fa-home';
                    }
                    ?>
                    <div class="category-item noo-grid-item ">
                        <a href="<?php echo esc_url( $loc_link ); ?>">
                                <span class="icon">
                                    <i class="fa <?php echo esc_attr( $icon_markers ) ?>"></i>
                                </span>
                            <span class="title">
                                    <?php echo esc_html( $loc_name ); ?>
                                </span>
                            <?php if ( 'true' == $show_job_count ) : ?>
                                <span class="job-count">
                                        (<?php echo sprintf( _n( '%s Job', '%s Jobs', $job_count, 'noo' ), $job_count ); ?>)
                                    </span>
                            <?php endif; ?>
                        </a>
                    </div>
                <?php 
                endif;
                $i++; endforeach;
            ?>
        </div>
    </div>
</div>